public class AnwendungTestEqualsPerson
{
	public static void main (String [] args)
	{
		Person p1=null;
		Person p2=null;
		Person p3=null;
		int testnummer=1;
		
		System.out.println("--------------------------");
		p1=new Person("Meier","Paula");
		p2=new Person("Meier","Paula");
		System.out.println("\tp1: "+p1+",\n\tp2: "+p2);
		System.out.println("Test "+testnummer+": p1.equals(p2)");
		System.out.println("true Expected");
		System.out.println(p1.equals(p2)+" Result");
		testnummer++;
		System.out.println("--------------------------");
		p1=new Person("Meier","Paula");
		p2=new Person("Meyer","Paula");
		System.out.println("\tp1: "+p1+",\n\tp2: "+p2);
		System.out.println("Test "+testnummer+": p1.equals(p2)");
		System.out.println("false Expected");
		System.out.println(p1.equals(p2)+" Result");
		testnummer++;
		System.out.println("--------------------------");
		p1=new Person("Meier","Paula");
		p2=new Person("Meier","Pauline");
		System.out.println("\tp1: "+p1+",\n\tp2: "+p2);
		System.out.println("Test "+testnummer+": p1.equals(p2)");
		System.out.println("false Expected");
		System.out.println(p1.equals(p2)+" Result");
		testnummer++;
		
		//reflexiv		
		System.out.println("--------------------------reflexiv");
		p1=new Person("Meier","Paula");
		System.out.println("\tp1: "+p1);
		System.out.println("Test "+testnummer+": p1.equals(p1)");
		System.out.println("true Expected");
		System.out.println(p1.equals(p1)+" Result");
		testnummer++;
		//symmetrisch		
		System.out.println("--------------------------symmetrisch");
		p1=new Person("Meier","Paula");
		p2=new Person("Meier","Paula");
		System.out.println("\tp1: "+p1+",\n\tp2: "+p2);
		System.out.println("Test "+testnummer+": p1.equals(p2)");
		System.out.println("true Expected");
		System.out.println(p1.equals(p2)+" Result");
		testnummer++;
		System.out.println("Test "+testnummer+" p2.equals(p1)");
		System.out.println("true Expected");
		System.out.println(p2.equals(p1)+" Result");
		testnummer++;
		//transitiv		
		System.out.println("--------------------------transitiv");
		p1=new Person("Meier","Paula");
		p2=new Person("Meier","Paula");
		p3=new Person("Meier","Paula");
		System.out.println("\tp1: "+p1+",\n\tp2: "+p2+",\n\tp3: "+p3);
		System.out.println("Test "+testnummer+": p1.equals(p2)");
		System.out.println("true Expected");
		System.out.println(p1.equals(p2)+" Result");
		testnummer++;
		System.out.println("Test "+testnummer+" p2.equals(p3)");
		System.out.println("true Expected");
		System.out.println(p2.equals(p3)+" Result");
		testnummer++;
		System.out.println("Test "+testnummer+" p1.equals(p3)");
		System.out.println("true Expected");
		System.out.println(p1.equals(p3)+" Result");
		testnummer++;
		//konsistent		
		System.out.println("--------------------------konsistent");
		p1=new Person("Meier","Paula");
		p2=new Person("Meier","Paula");
		System.out.println("\tp1: "+p1+",\n\tp2: "+p2);
		System.out.println("Test "+testnummer+": p1.equals(p2)");
		System.out.println("true Expected");
		System.out.println(p1.equals(p2)+" Result");
		testnummer++;
		System.out.println("Test "+testnummer+" p1.equals(p2)");
		System.out.println("true Expected");
		System.out.println(p1.equals(p2)+" Result");
		testnummer++;
		System.out.println("Test "+testnummer+" p1.equals(p2)");
		System.out.println("true Expected");
		System.out.println(p1.equals(p2)+" Result");
		testnummer++;
		//null Parameter		
		System.out.println("--------------------------null Parameter");
		p1=new Person("Meier","Paula");
		System.out.println("\tp1: "+p1);
		System.out.println("Test "+testnummer+": p1.equals(null)");
		System.out.println("false Expected");
		System.out.println(p1.equals(null)+" Result");
		testnummer++;
	}
}